NetBeans Architecture Answers for Editor Hints module

WARNING: answering questions version 1.28 rather than the current 1.29.

Interfaces table

Group of java interfaces
Interface NameIn/OutStabilitySpecified in What Document?
EditorHintsSPIExportedStable .../spi/editor/hints/package-summary.html

allows to show errors in the editor, with possible fixes.

CommonAnnotationsAPIImportedStable

The module is needed for compilation. The module is used during runtime. Specification version 1.6 is required.

EditorHyperlinkSPIImportedUnder Development

The module is needed for compilation. The module is used during runtime. Specification version 4.0 is required.

org.netbeans.modules.editor.documentImportedPrivate

The module is needed for compilation. The module is used during runtime. Specification version 1.0 is required.

editor-code-generatorImportedOfficial

The module is needed for compilation. The module is used during runtime.

MimeLookupAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 1.1 is required.

EditorSettingsAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 1.11 is required.

EditorUtilitiesAPIImportedUnder Development

The module is needed for compilation. The module is used during runtime. Specification version 1.17 is required.

org.openide.awtImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 6.5 is required.

FilesystemsAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 9.0 is required.

LoadersAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 7.61 is required.

ModulesAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 6.3 is required.

NodesAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 6.5 is required.

EditorAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 6.16 is required.

UtilitiesAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 9.3 is required.

WeakListener.setAccessibleImportedUnder Development

The module is needed for compilation. The module is used during runtime. Specification version 9.3 is required.

LookupAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 8.0 is required.

WindowSystemAPIImportedOfficial

The module is needed for compilation. The module is used during runtime. Specification version 6.5 is required.


General Information


Project and platform dependencies


Deployment


Compatibility with environment


Access to resources


Lookup of components


Execution Environment


Format of files and protocols


Performance and Scalability